> ## Documentation Index
> Fetch the complete documentation index at: https://idle.docs.datacircle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the balance



## OpenAPI

````yaml /openapi.json get /credits/
openapi: 3.1.0
info:
  title: Datacircle API
  version: '1'
servers:
  - url: https://api.datacircle.dev
security:
  - token: []
paths:
  /credits/:
    get:
      summary: Read the balance
      responses:
        '200':
          description: Balance split by kind
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Credits'
components:
  schemas:
    Credits:
      type: object
      properties:
        balance_usd:
          type: number
        signup_usd:
          type: number
        bought_usd:
          type: number
        manual_usd:
          type: number
        temporary:
          type: array
          items:
            type: object
            properties:
              campaign:
                type: string
              remaining_usd:
                type: number
              expires_at:
                type: string
                format: date-time
        full_file_unlocked:
          type: boolean
  securitySchemes:
    token:
      type: apiKey
      in: header
      name: Authorization
      description: '`Token <your API key>`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.